Subject: Re: Possible git bug

From: Taylor Blau <[email-masked]>
Date: Thu, 16 Sep 2021 01:37:31 -0400

On Wed, Sep 15, 2021 at 11:29:14PM -0400, Wesley Schwengle wrote:
>
> Hello,
>
> I'm running into a weird issue with git at the moment and I'm wondering if
> this is a bug. I have a small reproduction path:

> $ git commit -m "First commit" file.txt

FWIW, I had to tweak this script a little, since file.txt is untracked
before it is added initially. (So a "git add file.txt" before this first
commit is required.)

But even after this, I got exactly what I expected from this script
(which was that your "foo" branch had three commits before and after).
Is there something else interesting going on with your setup that might
explain why I can't reproduce this?

Thanks,
Taylor